aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--centos/rspamd.spec2
-rw-r--r--debian/changelog39
-rwxr-xr-xset-version.sh14
3 files changed, 17 insertions, 38 deletions
diff --git a/centos/rspamd.spec b/centos/rspamd.spec
index c5f0ee4e1..38520da79 100644
--- a/centos/rspamd.spec
+++ b/centos/rspamd.spec
@@ -8,7 +8,7 @@
%define rspamd_wwwdir %{_datadir}/rspamd/www
Name: rspamd
-Version: 1.1.0
+Version: 2.4
Release: 1
Summary: Rapid spam filtering system
Group: System Environment/Daemons
diff --git a/debian/changelog b/debian/changelog
index c008524bc..efffe434f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,40 +1,5 @@
-rspamd (1.0.2) unstable; urgency=low
+rspamd (2.4) unstable; urgency=low
* New release.
- -- Mikhail Gusarov <dottedmag@debian.org> Thu, 17 Sep 2015 15:17:32 +0100
-
-rspamd (0.9.4) unstable; urgency=low
-
- * New release:
- - Fix Build-Depends to let buildd pick up lua 5.1 on architectures
- without luajit (Closes: #785800)
-
- -- Mikhail Gusarov <dottedmag@debian.org> Thu, 21 May 2015 09:26:18 +0200
-
-rspamd (0.9.3) unstable; urgency=low
-
- * New release:
- - Use lua 5.1 if luajit is not available.
-
- -- Mikhail Gusarov <dottedmag@debian.org> Tue, 19 May 2015 15:25:54 +0200
-
-rspamd (0.9.1) unstable; urgency=low
-
- * New release.
-
- -- Mikhail Gusarov <dottedmag@debian.org> Sun, 17 May 2015 17:46:32 +0200
-
-rspamd (0.8.3) unstable; urgency=low
-
- * New release.
- * systemd socket-activated service.
- * Bump Standards-Version, no changes required.
-
- -- Mikhail Gusarov <dottedmag@debian.org> Sun, 08 Mar 2015 22:38:55 +0100
-
-rspamd (0.6.9) unstable; urgency=low
-
- * Initial release (Closes: #683746)
-
- -- Mikhail Gusarov <dottedmag@debian.org> Sun, 23 Mar 2014 19:04:13 +0100
+ -- Vsevolod Stakhov <vsevolod@highsecure.ru> Fri, 14 Feb 2020 23:10:27 +0000
diff --git a/set-version.sh b/set-version.sh
new file mode 100755
index 000000000..bd15b3abd
--- /dev/null
+++ b/set-version.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Update the version after a new release.
+version=$1
+if ! [[ "$version" =~ ^[0-9]+.[0-9]+$ ]]; then
+ echo "Usage: $0 <major>.<minor>"
+ exit 1
+fi
+
+read major minor <<< "${version/./ }"
+sed -e "s/^\\(SET(RSPAMD_VERSION_MAJOR \\)[0-9]*)/\\1$major)/" \
+ -e "s/^\\(SET(RSPAMD_VERSION_MINOR \\)[0-9]*)/\\1$minor)/" \
+ -i CMakeLists.txt
+sed -e "1s/([0-9.]*)/($version)/" -i debian/changelog
+sed -e "s/^\\(Version: *\\)[0-9.]*$/\\1$version/" -i centos/rspamd.spec